#############################################################################
#  Author: Xuefeng Ding <dingxf@ihep.ac.cn> @ IHEP-CAS
#
#  Project: cpp-python-small
#  Date: 2024 November 17th
#  Version: v1.0
#  Description:
#    Boilerplate for c++-python project.
#    Can be installed with `pip install .`
#
#  Maintainer:
#    Xuefeng Ding <dingxf@ihep.ac.cn>
#
#  All rights reserved. 2024 copyrighted.
#############################################################################
import pytest
from myproj.simulation import add, complexf


@pytest.mark.parametrize(
    "a, b, expected",
    [
        (1, 2, 3),
        (10, 15, 25),
        (-5, 5, 0),
        (0, 0, 0),
    ],
)
def test_add_parametrized(a: float, b: float, expected: float) -> None:
    assert add(a, b) == expected


@pytest.mark.parametrize(
    "a, b, expected",
    [
        (0, 1, 3),
        (10, -5, 7),
        (-10, -10, -18),
    ],
)
def test_myclass_parametrized(a: float, b: float, expected: float) -> None:
    assert complexf(a, b) == expected
